#include "defines.h"

unchar *g_line_pres16(unchar *buff,int wx,int plane,unsint *bp)
/* １ラインwxドット：１プレーン -> ８ドット１バイト圧縮（ワード単位）*/
{
unint x,b,j;
unsint c;
	for (x=0;x<wx;x+=16) {
		b=BIT15;
		c=0;
		for (j=0;j<16 && x+j<wx;j++) {
			if ((*buff++)&plane) c|=b;
			b>>=1;
		}
		*bp++=c;
	}
	return(buff);
}
